#!/usr/bin/env python

import sys
disk_id = int(sys.argv[1])

letters = '0123456789abcdef'

output = "ALTER TABLE neb_%d_%s%s CHANGE stage stage ENUM('undefined','unknown','raw','chip','cam','fake','detrend','warp','stack','diff','magic','destreak','dist','pub','staticsky','chipbackground','skycal');"

for letter1 in letters:
    for letter2 in letters:
        print output % (disk_id, letter1, letter2)
